## org.apache.log4j.helpers
Class ISO8601DateFormat

    java.lang.Object
      java.text.Format
          java.text.DateFormat
              org.apache.log4j.helpers.AbsoluteTimeDateFormat
                  org.apache.log4j.helpers.ISO8601DateFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ISO8601DateFormat

extends AbsoluteTimeDateFormat

Formats a `Date` in the format "yyyy-MM-dd HH:mm:ss,SSS" for example "1999-11-27 15:49:37,459".

Refer to the summary of the International Standard Date and Time Notation for more information on this format.

Since:
  0.7.5
Author:
  Ceki Gülcü, Andrew Vajoczki
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.DateFormat
`java.text.DateFormat.Field`

Field Summary

Fields inherited from class org.apache.log4j.helpers.AbsoluteTimeDateFormat
`ABS_TIME_DATE_FORMAT, DATE_AND_TIME_DATE_FORMAT, ISO8601_DATE_FORMAT`

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`ISO8601DateFormat()`
`ISO8601DateFormat(java.util.TimeZone timeZone)`

Method Summary
`java.lang.StringBuffer` `format(java.util.Date date, java.lang.StringBuffer sbuf, java.text.FieldPosition fieldPosition)` Appends a date in the format "YYYY-mm-dd HH:mm:ss,SSS" to `sbuf`.
`java.util.Date` `parse(java.lang.String s, java.text.ParsePosition pos)` This method does not do anything but return `null`.

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISO8601DateFormat

    public ISO8601DateFormat()

### ISO8601DateFormat

    public ISO8601DateFormat(java.util.TimeZone timeZone)

Method Detail

### format

    public java.lang.StringBuffer format(java.util.Date date,
                                         java.lang.StringBuffer sbuf,
                                         java.text.FieldPosition fieldPosition)

  Appends a date in the format "YYYY-mm-dd HH:mm:ss,SSS" to `sbuf`. For example: "1999-11-27 15:49:37,459".

  Overrides:
    `format` in class `AbsoluteTimeDateFormat`
  Parameters:
    `sbuf` - the `StringBuffer` to write to
    `date` - the date to format
    `fieldPosition` - remains untouched

### parse

    public java.util.Date parse(java.lang.String s,
                                java.text.ParsePosition pos)

  This method does not do anything but return `null`.

  Overrides:
    `parse` in class `AbsoluteTimeDateFormat`

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.